Error error_APT::Default-Release

Este fallo es conocido dentro de las configuraciones de apt. Es así un error del cliente de los repositorios. Como existe varios clientes

  • apt-get
  • aptitude
  • synaptic

Cada uno tiene su configuración y la forma de resolverla es igual. Se almacena de forma errónea un nombre de distribución que no concuerda con los repositorios activados.

En apt-get el fichero /etc/apt/apt.conf se localiza la linea

APT::Default-Release "stable";

"stable" es el repositorio que ya no tenemos activo en nuestras fuentes

Error en Synaptics:
error_APT::Default-Release

Para synaptics cambia el nombre de la linea por:

DefaultDistro "stable";

Y el fichero /root/.synaptic/synaptic.conf

 

Fuentes:

bugs.launchpad.net

manpages apt_preferences

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.